Copy feature flag
Copying flag settings is an Enterprise feature
Copying flag settings is available to customers on an Enterprise plan. To learn more, read about our pricing. To upgrade your plan, contact Sales.
Copy flag settings from a source environment to a target environment.
By default, this operation copies the entire flag configuration. You can use the includedActions or excludedActions to specify that only part of the flag configuration is copied.
If you provide the optional currentVersion of a flag, this operation tests to ensure that the current flag version in the environment matches the version you’ve specified. The operation rejects attempts to copy flag settings if the environment’s current version of the flag does not match the version you’ve specified. You can use this to enforce optimistic locking on copy attempts.
Path Parameters
Body
Optional list of the flag changes to copy from the source environment to the target environment. You may include either includedActions or excludedActions, but not both. If you include neither, then all flag changes will be copied.
updateOn, updateRules, updateFallthrough, updateOffVariation, updatePrerequisites, updateTargets, updateFlagConfigMigrationSettings Optional list of the flag changes NOT to copy from the source environment to the target environment. You may include either includedActions or excludedActions, but not both. If you include neither, then all flag changes will be copied.
updateOn, updateRules, updateFallthrough, updateOffVariation, updatePrerequisites, updateTargets, updateFlagConfigMigrationSettings Response
Global flag response
Metadata attached to the feature flag, in the form of the property key associated with a name and array of values for the metadata to associate with this flag. Typically used to store data related to an integration.
"{\"jira.issues\":{\"name\":\"Jira issues\",\"value\":[\"is-123\",\"is-456\"]}}"
The indices, from the array of variations, for the variations to serve by default when targeting is on and when targeting is off. These variations will be used for this flag in new environments. If omitted, the first and last variation will be used.
"{\"onVariation\":0,\"offVariation\":1}"